This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 226050 - NullPointerException at com.sun.source.util.TreePath.<init>
Summary: NullPointerException at com.sun.source.util.TreePath.<init>
Status: RESOLVED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Hints (show other bugs)
Version: 7.2
Hardware: All All
: P3 normal (vote)
Assignee: Jan Lahoda
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 10:02 UTC by scanti
Modified: 2013-08-28 13:49 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter: 191672


Attachments
stacktrace (3.52 KB, text/plain)
2013-02-13 10:02 UTC, scanti
Details
stacktrace (3.52 KB, text/plain)
2013-06-06 07:28 UTC, stadelma
Details

Note You need to log in before you can comment on or make changes to this bug.
Description scanti 2013-02-13 10:02:29 UTC
Build: NetBeans IDE 7.2.1 (Build 201210100934)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.6-b04, Java(TM) SE Runtime Environment, 1.7.0_10-b18
OS: Windows 7

Stacktrace: 
java.lang.NullPointerException
   at com.sun.source.util.TreePath.<init>(TreePath.java:94)
   at org.netbeans.modules.java.source.matching.CopyFinder.checkListsWithMultistatementTrees(CopyFinder.java:724)
   at org.netbeans.modules.java.source.matching.CopyFinder.checkLists(CopyFinder.java:594)
   at org.netbeans.modules.java.source.matching.CopyFinder.visitBlock(CopyFinder.java:759)
   at org.netbeans.modules.java.source.matching.CopyFinder.visitBlock(CopyFinder.java:112)
   at com.sun.tools.javac.tree.JCTree$JCBlock.accept(JCTree.java:795)
Comment 1 scanti 2013-02-13 10:02:30 UTC
Created attachment 131337 [details]
stacktrace
Comment 2 stadelma 2013-06-06 07:28:29 UTC
Created attachment 135415 [details]
stacktrace
Comment 3 Jan Lahoda 2013-08-28 13:49:45 UTC
No reports since NetBeans 7.3 beta, so hopefully fixed by some change since then.